// Code generated by protoc-gen-go. DO NOT EDIT.
// source: api.proto

package editor

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type User struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	FirstName            string   `protobuf:"bytes,2,opt,name=first_name,json=firstName,proto3" json:"first_name,omitempty"`
	MiddleName           string   `protobuf:"bytes,3,opt,name=middle_name,json=middleName,proto3" json:"middle_name,omitempty"`
	LastName             string   `protobuf:"bytes,4,opt,name=last_name,json=lastName,proto3" json:"last_name,omitempty"`
	Role                 string   `protobuf:"bytes,5,opt,name=role,proto3" json:"role,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *User) Reset()         { *m = User{} }
func (m *User) String() string { return proto.CompactTextString(m) }
func (*User) ProtoMessage()    {}
func (*User) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{0}
}

func (m *User) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_User.Unmarshal(m, b)
}
func (m *User) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_User.Marshal(b, m, deterministic)
}
func (m *User) XXX_Merge(src proto.Message) {
	xxx_messageInfo_User.Merge(m, src)
}
func (m *User) XXX_Size() int {
	return xxx_messageInfo_User.Size(m)
}
func (m *User) XXX_DiscardUnknown() {
	xxx_messageInfo_User.DiscardUnknown(m)
}

var xxx_messageInfo_User proto.InternalMessageInfo

func (m *User) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *User) GetFirstName() string {
	if m != nil {
		return m.FirstName
	}
	return ""
}

func (m *User) GetMiddleName() string {
	if m != nil {
		return m.MiddleName
	}
	return ""
}

func (m *User) GetLastName() string {
	if m != nil {
		return m.LastName
	}
	return ""
}

func (m *User) GetRole() string {
	if m != nil {
		return m.Role
	}
	return ""
}

type Comment struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Author               *User    `protobuf:"bytes,2,opt,name=author,proto3" json:"author,omitempty"`
	Content              string   `protobuf:"bytes,3,opt,name=content,proto3" json:"content,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Comment) Reset()         { *m = Comment{} }
func (m *Comment) String() string { return proto.CompactTextString(m) }
func (*Comment) ProtoMessage()    {}
func (*Comment) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{1}
}

func (m *Comment) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Comment.Unmarshal(m, b)
}
func (m *Comment) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Comment.Marshal(b, m, deterministic)
}
func (m *Comment) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Comment.Merge(m, src)
}
func (m *Comment) XXX_Size() int {
	return xxx_messageInfo_Comment.Size(m)
}
func (m *Comment) XXX_DiscardUnknown() {
	xxx_messageInfo_Comment.DiscardUnknown(m)
}

var xxx_messageInfo_Comment proto.InternalMessageInfo

func (m *Comment) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Comment) GetAuthor() *User {
	if m != nil {
		return m.Author
	}
	return nil
}

func (m *Comment) GetContent() string {
	if m != nil {
		return m.Content
	}
	return ""
}

type Article struct {
	Id                   string            `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Status               string            `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
	Author               *User             `protobuf:"bytes,3,opt,name=author,proto3" json:"author,omitempty"`
	Name                 string            `protobuf:"bytes,4,opt,name=name,proto3" json:"name,omitempty"`
	CreatedAt            string            `protobuf:"bytes,5,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	UpdatedAt            string            `protobuf:"bytes,6,opt,name=updated_at,json=updatedAt,proto3" json:"updated_at,omitempty"`
	Content              string            `protobuf:"bytes,7,opt,name=content,proto3" json:"content,omitempty"`
	Comments             []*Comment        `protobuf:"bytes,8,rep,name=comments,proto3" json:"comments,omitempty"`
	Versions             []*VersionArticle `protobuf:"bytes,9,rep,name=versions,proto3" json:"versions,omitempty"`
	TemplateId           string            `protobuf:"bytes,10,opt,name=template_id,json=templateId,proto3" json:"template_id,omitempty"`
	AttachedArticles     []*Article        `protobuf:"bytes,11,rep,name=attached_articles,json=attachedArticles,proto3" json:"attached_articles,omitempty"`
	CurrentVersion       int64             `protobuf:"varint,12,opt,name=current_version,json=currentVersion,proto3" json:"current_version,omitempty"`
	ResponsibleEditor    *User             `protobuf:"bytes,13,opt,name=responsible_editor,json=responsibleEditor,proto3" json:"responsible_editor,omitempty"`
	Section              *Section          `protobuf:"bytes,14,opt,name=section,proto3" json:"section,omitempty"`
	Reviewer             *User             `protobuf:"bytes,15,opt,name=reviewer,proto3" json:"reviewer,omitempty"`
	Review               string            `protobuf:"bytes,16,opt,name=review,proto3" json:"review,omitempty"`
	CuratorConsultant    *User             `protobuf:"bytes,17,opt,name=curator_consultant,json=curatorConsultant,proto3" json:"curator_consultant,omitempty"`
	ArchiveComments      []*Comment        `protobuf:"bytes,18,rep,name=archive_comments,json=archiveComments,proto3" json:"archive_comments,omitempty"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *Article) Reset()         { *m = Article{} }
func (m *Article) String() string { return proto.CompactTextString(m) }
func (*Article) ProtoMessage()    {}
func (*Article) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{2}
}

func (m *Article) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Article.Unmarshal(m, b)
}
func (m *Article) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Article.Marshal(b, m, deterministic)
}
func (m *Article) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Article.Merge(m, src)
}
func (m *Article) XXX_Size() int {
	return xxx_messageInfo_Article.Size(m)
}
func (m *Article) XXX_DiscardUnknown() {
	xxx_messageInfo_Article.DiscardUnknown(m)
}

var xxx_messageInfo_Article proto.InternalMessageInfo

func (m *Article) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Article) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *Article) GetAuthor() *User {
	if m != nil {
		return m.Author
	}
	return nil
}

func (m *Article) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Article) GetCreatedAt() string {
	if m != nil {
		return m.CreatedAt
	}
	return ""
}

func (m *Article) GetUpdatedAt() string {
	if m != nil {
		return m.UpdatedAt
	}
	return ""
}

func (m *Article) GetContent() string {
	if m != nil {
		return m.Content
	}
	return ""
}

func (m *Article) GetComments() []*Comment {
	if m != nil {
		return m.Comments
	}
	return nil
}

func (m *Article) GetVersions() []*VersionArticle {
	if m != nil {
		return m.Versions
	}
	return nil
}

func (m *Article) GetTemplateId() string {
	if m != nil {
		return m.TemplateId
	}
	return ""
}

func (m *Article) GetAttachedArticles() []*Article {
	if m != nil {
		return m.AttachedArticles
	}
	return nil
}

func (m *Article) GetCurrentVersion() int64 {
	if m != nil {
		return m.CurrentVersion
	}
	return 0
}

func (m *Article) GetResponsibleEditor() *User {
	if m != nil {
		return m.ResponsibleEditor
	}
	return nil
}

func (m *Article) GetSection() *Section {
	if m != nil {
		return m.Section
	}
	return nil
}

func (m *Article) GetReviewer() *User {
	if m != nil {
		return m.Reviewer
	}
	return nil
}

func (m *Article) GetReview() string {
	if m != nil {
		return m.Review
	}
	return ""
}

func (m *Article) GetCuratorConsultant() *User {
	if m != nil {
		return m.CuratorConsultant
	}
	return nil
}

func (m *Article) GetArchiveComments() []*Comment {
	if m != nil {
		return m.ArchiveComments
	}
	return nil
}

type Section struct {
	SectionEditor        *User    `protobuf:"bytes,1,opt,name=section_editor,json=sectionEditor,proto3" json:"section_editor,omitempty"`
	SectionAuthor        *User    `protobuf:"bytes,2,opt,name=section_author,json=sectionAuthor,proto3" json:"section_author,omitempty"`
	Name                 string   `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	Content              string   `protobuf:"bytes,4,opt,name=content,proto3" json:"content,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Section) Reset()         { *m = Section{} }
func (m *Section) String() string { return proto.CompactTextString(m) }
func (*Section) ProtoMessage()    {}
func (*Section) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{3}
}

func (m *Section) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Section.Unmarshal(m, b)
}
func (m *Section) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Section.Marshal(b, m, deterministic)
}
func (m *Section) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Section.Merge(m, src)
}
func (m *Section) XXX_Size() int {
	return xxx_messageInfo_Section.Size(m)
}
func (m *Section) XXX_DiscardUnknown() {
	xxx_messageInfo_Section.DiscardUnknown(m)
}

var xxx_messageInfo_Section proto.InternalMessageInfo

func (m *Section) GetSectionEditor() *User {
	if m != nil {
		return m.SectionEditor
	}
	return nil
}

func (m *Section) GetSectionAuthor() *User {
	if m != nil {
		return m.SectionAuthor
	}
	return nil
}

func (m *Section) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Section) GetContent() string {
	if m != nil {
		return m.Content
	}
	return ""
}

type VersionArticle struct {
	Article              *Article `protobuf:"bytes,1,opt,name=article,proto3" json:"article,omitempty"`
	CreatedAt            string   `protobuf:"bytes,2,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *VersionArticle) Reset()         { *m = VersionArticle{} }
func (m *VersionArticle) String() string { return proto.CompactTextString(m) }
func (*VersionArticle) ProtoMessage()    {}
func (*VersionArticle) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{4}
}

func (m *VersionArticle) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VersionArticle.Unmarshal(m, b)
}
func (m *VersionArticle) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VersionArticle.Marshal(b, m, deterministic)
}
func (m *VersionArticle) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VersionArticle.Merge(m, src)
}
func (m *VersionArticle) XXX_Size() int {
	return xxx_messageInfo_VersionArticle.Size(m)
}
func (m *VersionArticle) XXX_DiscardUnknown() {
	xxx_messageInfo_VersionArticle.DiscardUnknown(m)
}

var xxx_messageInfo_VersionArticle proto.InternalMessageInfo

func (m *VersionArticle) GetArticle() *Article {
	if m != nil {
		return m.Article
	}
	return nil
}

func (m *VersionArticle) GetCreatedAt() string {
	if m != nil {
		return m.CreatedAt
	}
	return ""
}

type GetArticleRequest struct {
	User                 *User    `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
	ArticleId            string   `protobuf:"bytes,2,opt,name=article_id,json=articleId,proto3" json:"article_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetArticleRequest) Reset()         { *m = GetArticleRequest{} }
func (m *GetArticleRequest) String() string { return proto.CompactTextString(m) }
func (*GetArticleRequest) ProtoMessage()    {}
func (*GetArticleRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{5}
}

func (m *GetArticleRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetArticleRequest.Unmarshal(m, b)
}
func (m *GetArticleRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetArticleRequest.Marshal(b, m, deterministic)
}
func (m *GetArticleRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetArticleRequest.Merge(m, src)
}
func (m *GetArticleRequest) XXX_Size() int {
	return xxx_messageInfo_GetArticleRequest.Size(m)
}
func (m *GetArticleRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetArticleRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetArticleRequest proto.InternalMessageInfo

func (m *GetArticleRequest) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *GetArticleRequest) GetArticleId() string {
	if m != nil {
		return m.ArticleId
	}
	return ""
}

type GetArticleResponse struct {
	Article              *Article `protobuf:"bytes,1,opt,name=article,proto3" json:"article,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetArticleResponse) Reset()         { *m = GetArticleResponse{} }
func (m *GetArticleResponse) String() string { return proto.CompactTextString(m) }
func (*GetArticleResponse) ProtoMessage()    {}
func (*GetArticleResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{6}
}

func (m *GetArticleResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetArticleResponse.Unmarshal(m, b)
}
func (m *GetArticleResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetArticleResponse.Marshal(b, m, deterministic)
}
func (m *GetArticleResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetArticleResponse.Merge(m, src)
}
func (m *GetArticleResponse) XXX_Size() int {
	return xxx_messageInfo_GetArticleResponse.Size(m)
}
func (m *GetArticleResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetArticleResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetArticleResponse proto.InternalMessageInfo

func (m *GetArticleResponse) GetArticle() *Article {
	if m != nil {
		return m.Article
	}
	return nil
}

type GetListArticleRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetListArticleRequest) Reset()         { *m = GetListArticleRequest{} }
func (m *GetListArticleRequest) String() string { return proto.CompactTextString(m) }
func (*GetListArticleRequest) ProtoMessage()    {}
func (*GetListArticleRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{7}
}

func (m *GetListArticleRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetListArticleRequest.Unmarshal(m, b)
}
func (m *GetListArticleRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetListArticleRequest.Marshal(b, m, deterministic)
}
func (m *GetListArticleRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetListArticleRequest.Merge(m, src)
}
func (m *GetListArticleRequest) XXX_Size() int {
	return xxx_messageInfo_GetListArticleRequest.Size(m)
}
func (m *GetListArticleRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetListArticleRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetListArticleRequest proto.InternalMessageInfo

type GetListArticleResponse struct {
	Article              []*Article `protobuf:"bytes,1,rep,name=article,proto3" json:"article,omitempty"`
	XXX_NoUnkeyedLiteral struct{}   `json:"-"`
	XXX_unrecognized     []byte     `json:"-"`
	XXX_sizecache        int32      `json:"-"`
}

func (m *GetListArticleResponse) Reset()         { *m = GetListArticleResponse{} }
func (m *GetListArticleResponse) String() string { return proto.CompactTextString(m) }
func (*GetListArticleResponse) ProtoMessage()    {}
func (*GetListArticleResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{8}
}

func (m *GetListArticleResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetListArticleResponse.Unmarshal(m, b)
}
func (m *GetListArticleResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetListArticleResponse.Marshal(b, m, deterministic)
}
func (m *GetListArticleResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetListArticleResponse.Merge(m, src)
}
func (m *GetListArticleResponse) XXX_Size() int {
	return xxx_messageInfo_GetListArticleResponse.Size(m)
}
func (m *GetListArticleResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetListArticleResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetListArticleResponse proto.InternalMessageInfo

func (m *GetListArticleResponse) GetArticle() []*Article {
	if m != nil {
		return m.Article
	}
	return nil
}

type CreateArticleRequest struct {
	User                 *User    `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
	Article              *Article `protobuf:"bytes,2,opt,name=article,proto3" json:"article,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateArticleRequest) Reset()         { *m = CreateArticleRequest{} }
func (m *CreateArticleRequest) String() string { return proto.CompactTextString(m) }
func (*CreateArticleRequest) ProtoMessage()    {}
func (*CreateArticleRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{9}
}

func (m *CreateArticleRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateArticleRequest.Unmarshal(m, b)
}
func (m *CreateArticleRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateArticleRequest.Marshal(b, m, deterministic)
}
func (m *CreateArticleRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateArticleRequest.Merge(m, src)
}
func (m *CreateArticleRequest) XXX_Size() int {
	return xxx_messageInfo_CreateArticleRequest.Size(m)
}
func (m *CreateArticleRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateArticleRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateArticleRequest proto.InternalMessageInfo

func (m *CreateArticleRequest) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *CreateArticleRequest) GetArticle() *Article {
	if m != nil {
		return m.Article
	}
	return nil
}

type CreateArticleResponse struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateArticleResponse) Reset()         { *m = CreateArticleResponse{} }
func (m *CreateArticleResponse) String() string { return proto.CompactTextString(m) }
func (*CreateArticleResponse) ProtoMessage()    {}
func (*CreateArticleResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{10}
}

func (m *CreateArticleResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateArticleResponse.Unmarshal(m, b)
}
func (m *CreateArticleResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateArticleResponse.Marshal(b, m, deterministic)
}
func (m *CreateArticleResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateArticleResponse.Merge(m, src)
}
func (m *CreateArticleResponse) XXX_Size() int {
	return xxx_messageInfo_CreateArticleResponse.Size(m)
}
func (m *CreateArticleResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateArticleResponse.DiscardUnknown(m)
}

var xxx_messageInfo_CreateArticleResponse proto.InternalMessageInfo

func (m *CreateArticleResponse) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type InsertToArticleRequest struct {
	User                 *User    `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
	NewArticle           *Article `protobuf:"bytes,2,opt,name=new_article,json=newArticle,proto3" json:"new_article,omitempty"`
	MainArticleId        string   `protobuf:"bytes,3,opt,name=main_article_id,json=mainArticleId,proto3" json:"main_article_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *InsertToArticleRequest) Reset()         { *m = InsertToArticleRequest{} }
func (m *InsertToArticleRequest) String() string { return proto.CompactTextString(m) }
func (*InsertToArticleRequest) ProtoMessage()    {}
func (*InsertToArticleRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{11}
}

func (m *InsertToArticleRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_InsertToArticleRequest.Unmarshal(m, b)
}
func (m *InsertToArticleRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_InsertToArticleRequest.Marshal(b, m, deterministic)
}
func (m *InsertToArticleRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_InsertToArticleRequest.Merge(m, src)
}
func (m *InsertToArticleRequest) XXX_Size() int {
	return xxx_messageInfo_InsertToArticleRequest.Size(m)
}
func (m *InsertToArticleRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_InsertToArticleRequest.DiscardUnknown(m)
}

var xxx_messageInfo_InsertToArticleRequest proto.InternalMessageInfo

func (m *InsertToArticleRequest) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *InsertToArticleRequest) GetNewArticle() *Article {
	if m != nil {
		return m.NewArticle
	}
	return nil
}

func (m *InsertToArticleRequest) GetMainArticleId() string {
	if m != nil {
		return m.MainArticleId
	}
	return ""
}

type InsertToArticleResponse struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	ArticleId            string   `protobuf:"bytes,2,opt,name=article_id,json=articleId,proto3" json:"article_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *InsertToArticleResponse) Reset()         { *m = InsertToArticleResponse{} }
func (m *InsertToArticleResponse) String() string { return proto.CompactTextString(m) }
func (*InsertToArticleResponse) ProtoMessage()    {}
func (*InsertToArticleResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{12}
}

func (m *InsertToArticleResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_InsertToArticleResponse.Unmarshal(m, b)
}
func (m *InsertToArticleResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_InsertToArticleResponse.Marshal(b, m, deterministic)
}
func (m *InsertToArticleResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_InsertToArticleResponse.Merge(m, src)
}
func (m *InsertToArticleResponse) XXX_Size() int {
	return xxx_messageInfo_InsertToArticleResponse.Size(m)
}
func (m *InsertToArticleResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_InsertToArticleResponse.DiscardUnknown(m)
}

var xxx_messageInfo_InsertToArticleResponse proto.InternalMessageInfo

func (m *InsertToArticleResponse) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

func (m *InsertToArticleResponse) GetArticleId() string {
	if m != nil {
		return m.ArticleId
	}
	return ""
}

type EditArticleRequest struct {
	User                 *User    `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
	Article              *Article `protobuf:"bytes,2,opt,name=article,proto3" json:"article,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *EditArticleRequest) Reset()         { *m = EditArticleRequest{} }
func (m *EditArticleRequest) String() string { return proto.CompactTextString(m) }
func (*EditArticleRequest) ProtoMessage()    {}
func (*EditArticleRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{13}
}

func (m *EditArticleRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_EditArticleRequest.Unmarshal(m, b)
}
func (m *EditArticleRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_EditArticleRequest.Marshal(b, m, deterministic)
}
func (m *EditArticleRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_EditArticleRequest.Merge(m, src)
}
func (m *EditArticleRequest) XXX_Size() int {
	return xxx_messageInfo_EditArticleRequest.Size(m)
}
func (m *EditArticleRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_EditArticleRequest.DiscardUnknown(m)
}

var xxx_messageInfo_EditArticleRequest proto.InternalMessageInfo

func (m *EditArticleRequest) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *EditArticleRequest) GetArticle() *Article {
	if m != nil {
		return m.Article
	}
	return nil
}

type EditArticleResponse struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *EditArticleResponse) Reset()         { *m = EditArticleResponse{} }
func (m *EditArticleResponse) String() string { return proto.CompactTextString(m) }
func (*EditArticleResponse) ProtoMessage()    {}
func (*EditArticleResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{14}
}

func (m *EditArticleResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_EditArticleResponse.Unmarshal(m, b)
}
func (m *EditArticleResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_EditArticleResponse.Marshal(b, m, deterministic)
}
func (m *EditArticleResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_EditArticleResponse.Merge(m, src)
}
func (m *EditArticleResponse) XXX_Size() int {
	return xxx_messageInfo_EditArticleResponse.Size(m)
}
func (m *EditArticleResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_EditArticleResponse.DiscardUnknown(m)
}

var xxx_messageInfo_EditArticleResponse proto.InternalMessageInfo

func (m *EditArticleResponse) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type CommentArticleRequest struct {
	User                 *User    `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
	ArticleId            string   `protobuf:"bytes,2,opt,name=article_id,json=articleId,proto3" json:"article_id,omitempty"`
	Comment              *Comment `protobuf:"bytes,3,opt,name=comment,proto3" json:"comment,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CommentArticleRequest) Reset()         { *m = CommentArticleRequest{} }
func (m *CommentArticleRequest) String() string { return proto.CompactTextString(m) }
func (*CommentArticleRequest) ProtoMessage()    {}
func (*CommentArticleRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{15}
}

func (m *CommentArticleRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CommentArticleRequest.Unmarshal(m, b)
}
func (m *CommentArticleRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CommentArticleRequest.Marshal(b, m, deterministic)
}
func (m *CommentArticleRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CommentArticleRequest.Merge(m, src)
}
func (m *CommentArticleRequest) XXX_Size() int {
	return xxx_messageInfo_CommentArticleRequest.Size(m)
}
func (m *CommentArticleRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CommentArticleRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CommentArticleRequest proto.InternalMessageInfo

func (m *CommentArticleRequest) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *CommentArticleRequest) GetArticleId() string {
	if m != nil {
		return m.ArticleId
	}
	return ""
}

func (m *CommentArticleRequest) GetComment() *Comment {
	if m != nil {
		return m.Comment
	}
	return nil
}

type CommentArticleResponse struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CommentArticleResponse) Reset()         { *m = CommentArticleResponse{} }
func (m *CommentArticleResponse) String() string { return proto.CompactTextString(m) }
func (*CommentArticleResponse) ProtoMessage()    {}
func (*CommentArticleResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{16}
}

func (m *CommentArticleResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CommentArticleResponse.Unmarshal(m, b)
}
func (m *CommentArticleResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CommentArticleResponse.Marshal(b, m, deterministic)
}
func (m *CommentArticleResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CommentArticleResponse.Merge(m, src)
}
func (m *CommentArticleResponse) XXX_Size() int {
	return xxx_messageInfo_CommentArticleResponse.Size(m)
}
func (m *CommentArticleResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_CommentArticleResponse.DiscardUnknown(m)
}

var xxx_messageInfo_CommentArticleResponse proto.InternalMessageInfo

func (m *CommentArticleResponse) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type DeleteCommentArticleRequest struct {
	User                 *User    `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
	ArticleId            string   `protobuf:"bytes,2,opt,name=article_id,json=articleId,proto3" json:"article_id,omitempty"`
	CommentId            string   `protobuf:"bytes,3,opt,name=comment_id,json=commentId,proto3" json:"comment_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteCommentArticleRequest) Reset()         { *m = DeleteCommentArticleRequest{} }
func (m *DeleteCommentArticleRequest) String() string { return proto.CompactTextString(m) }
func (*DeleteCommentArticleRequest) ProtoMessage()    {}
func (*DeleteCommentArticleRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{17}
}

func (m *DeleteCommentArticleRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteCommentArticleRequest.Unmarshal(m, b)
}
func (m *DeleteCommentArticleRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteCommentArticleRequest.Marshal(b, m, deterministic)
}
func (m *DeleteCommentArticleRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteCommentArticleRequest.Merge(m, src)
}
func (m *DeleteCommentArticleRequest) XXX_Size() int {
	return xxx_messageInfo_DeleteCommentArticleRequest.Size(m)
}
func (m *DeleteCommentArticleRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteCommentArticleRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteCommentArticleRequest proto.InternalMessageInfo

func (m *DeleteCommentArticleRequest) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *DeleteCommentArticleRequest) GetArticleId() string {
	if m != nil {
		return m.ArticleId
	}
	return ""
}

func (m *DeleteCommentArticleRequest) GetCommentId() string {
	if m != nil {
		return m.CommentId
	}
	return ""
}

type DeleteCommentArticleResponse struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteCommentArticleResponse) Reset()         { *m = DeleteCommentArticleResponse{} }
func (m *DeleteCommentArticleResponse) String() string { return proto.CompactTextString(m) }
func (*DeleteCommentArticleResponse) ProtoMessage()    {}
func (*DeleteCommentArticleResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{18}
}

func (m *DeleteCommentArticleResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteCommentArticleResponse.Unmarshal(m, b)
}
func (m *DeleteCommentArticleResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteCommentArticleResponse.Marshal(b, m, deterministic)
}
func (m *DeleteCommentArticleResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteCommentArticleResponse.Merge(m, src)
}
func (m *DeleteCommentArticleResponse) XXX_Size() int {
	return xxx_messageInfo_DeleteCommentArticleResponse.Size(m)
}
func (m *DeleteCommentArticleResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteCommentArticleResponse.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteCommentArticleResponse proto.InternalMessageInfo

func (m *DeleteCommentArticleResponse) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type ArchiveCommentArticleRequest struct {
	User                 *User    `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
	ArticleId            string   `protobuf:"bytes,2,opt,name=article_id,json=articleId,proto3" json:"article_id,omitempty"`
	CommentId            string   `protobuf:"bytes,3,opt,name=comment_id,json=commentId,proto3" json:"comment_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ArchiveCommentArticleRequest) Reset()         { *m = ArchiveCommentArticleRequest{} }
func (m *ArchiveCommentArticleRequest) String() string { return proto.CompactTextString(m) }
func (*ArchiveCommentArticleRequest) ProtoMessage()    {}
func (*ArchiveCommentArticleRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{19}
}

func (m *ArchiveCommentArticleRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ArchiveCommentArticleRequest.Unmarshal(m, b)
}
func (m *ArchiveCommentArticleRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ArchiveCommentArticleRequest.Marshal(b, m, deterministic)
}
func (m *ArchiveCommentArticleRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ArchiveCommentArticleRequest.Merge(m, src)
}
func (m *ArchiveCommentArticleRequest) XXX_Size() int {
	return xxx_messageInfo_ArchiveCommentArticleRequest.Size(m)
}
func (m *ArchiveCommentArticleRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ArchiveCommentArticleRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ArchiveCommentArticleRequest proto.InternalMessageInfo

func (m *ArchiveCommentArticleRequest) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *ArchiveCommentArticleRequest) GetArticleId() string {
	if m != nil {
		return m.ArticleId
	}
	return ""
}

func (m *ArchiveCommentArticleRequest) GetCommentId() string {
	if m != nil {
		return m.CommentId
	}
	return ""
}

type ArchiveCommentArticleResponse struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ArchiveCommentArticleResponse) Reset()         { *m = ArchiveCommentArticleResponse{} }
func (m *ArchiveCommentArticleResponse) String() string { return proto.CompactTextString(m) }
func (*ArchiveCommentArticleResponse) ProtoMessage()    {}
func (*ArchiveCommentArticleResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{20}
}

func (m *ArchiveCommentArticleResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ArchiveCommentArticleResponse.Unmarshal(m, b)
}
func (m *ArchiveCommentArticleResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ArchiveCommentArticleResponse.Marshal(b, m, deterministic)
}
func (m *ArchiveCommentArticleResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ArchiveCommentArticleResponse.Merge(m, src)
}
func (m *ArchiveCommentArticleResponse) XXX_Size() int {
	return xxx_messageInfo_ArchiveCommentArticleResponse.Size(m)
}
func (m *ArchiveCommentArticleResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ArchiveCommentArticleResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ArchiveCommentArticleResponse proto.InternalMessageInfo

func (m *ArchiveCommentArticleResponse) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type EditCommentArticleRequest struct {
	User                 *User    `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
	ArticleId            string   `protobuf:"bytes,2,opt,name=article_id,json=articleId,proto3" json:"article_id,omitempty"`
	Comment              *Comment `protobuf:"bytes,3,opt,name=comment,proto3" json:"comment,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *EditCommentArticleRequest) Reset()         { *m = EditCommentArticleRequest{} }
func (m *EditCommentArticleRequest) String() string { return proto.CompactTextString(m) }
func (*EditCommentArticleRequest) ProtoMessage()    {}
func (*EditCommentArticleRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{21}
}

func (m *EditCommentArticleRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_EditCommentArticleRequest.Unmarshal(m, b)
}
func (m *EditCommentArticleRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_EditCommentArticleRequest.Marshal(b, m, deterministic)
}
func (m *EditCommentArticleRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_EditCommentArticleRequest.Merge(m, src)
}
func (m *EditCommentArticleRequest) XXX_Size() int {
	return xxx_messageInfo_EditCommentArticleRequest.Size(m)
}
func (m *EditCommentArticleRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_EditCommentArticleRequest.DiscardUnknown(m)
}

var xxx_messageInfo_EditCommentArticleRequest proto.InternalMessageInfo

func (m *EditCommentArticleRequest) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *EditCommentArticleRequest) GetArticleId() string {
	if m != nil {
		return m.ArticleId
	}
	return ""
}

func (m *EditCommentArticleRequest) GetComment() *Comment {
	if m != nil {
		return m.Comment
	}
	return nil
}

type EditCommentArticleResponse struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *EditCommentArticleResponse) Reset()         { *m = EditCommentArticleResponse{} }
func (m *EditCommentArticleResponse) String() string { return proto.CompactTextString(m) }
func (*EditCommentArticleResponse) ProtoMessage()    {}
func (*EditCommentArticleResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{22}
}

func (m *EditCommentArticleResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_EditCommentArticleResponse.Unmarshal(m, b)
}
func (m *EditCommentArticleResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_EditCommentArticleResponse.Marshal(b, m, deterministic)
}
func (m *EditCommentArticleResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_EditCommentArticleResponse.Merge(m, src)
}
func (m *EditCommentArticleResponse) XXX_Size() int {
	return xxx_messageInfo_EditCommentArticleResponse.Size(m)
}
func (m *EditCommentArticleResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_EditCommentArticleResponse.DiscardUnknown(m)
}

var xxx_messageInfo_EditCommentArticleResponse proto.InternalMessageInfo

func (m *EditCommentArticleResponse) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type DeleteArticleRequest struct {
	User                 *User    `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
	ArticleId            string   `protobuf:"bytes,2,opt,name=article_id,json=articleId,proto3" json:"article_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteArticleRequest) Reset()         { *m = DeleteArticleRequest{} }
func (m *DeleteArticleRequest) String() string { return proto.CompactTextString(m) }
func (*DeleteArticleRequest) ProtoMessage()    {}
func (*DeleteArticleRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{23}
}

func (m *DeleteArticleRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteArticleRequest.Unmarshal(m, b)
}
func (m *DeleteArticleRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteArticleRequest.Marshal(b, m, deterministic)
}
func (m *DeleteArticleRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteArticleRequest.Merge(m, src)
}
func (m *DeleteArticleRequest) XXX_Size() int {
	return xxx_messageInfo_DeleteArticleRequest.Size(m)
}
func (m *DeleteArticleRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteArticleRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteArticleRequest proto.InternalMessageInfo

func (m *DeleteArticleRequest) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *DeleteArticleRequest) GetArticleId() string {
	if m != nil {
		return m.ArticleId
	}
	return ""
}

type DeleteArticleResponse struct {
	Access               bool     `protobuf:"varint,1,opt,name=access,proto3" json:"access,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteArticleResponse) Reset()         { *m = DeleteArticleResponse{} }
func (m *DeleteArticleResponse) String() string { return proto.CompactTextString(m) }
func (*DeleteArticleResponse) ProtoMessage()    {}
func (*DeleteArticleResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{24}
}

func (m *DeleteArticleResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteArticleResponse.Unmarshal(m, b)
}
func (m *DeleteArticleResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteArticleResponse.Marshal(b, m, deterministic)
}
func (m *DeleteArticleResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteArticleResponse.Merge(m, src)
}
func (m *DeleteArticleResponse) XXX_Size() int {
	return xxx_messageInfo_DeleteArticleResponse.Size(m)
}
func (m *DeleteArticleResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteArticleResponse.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteArticleResponse proto.InternalMessageInfo

func (m *DeleteArticleResponse) GetAccess() bool {
	if m != nil {
		return m.Access
	}
	return false
}

type AppointmentToResponsibleEditorRequest struct {
	User                 *User    `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
	ArticleId            string   `protobuf:"bytes,2,opt,name=article_id,json=articleId,proto3" json:"article_id,omitempty"`
	ResponsibleEditor    *User    `protobuf:"bytes,3,opt,name=responsible_editor,json=responsibleEditor,proto3" json:"responsible_editor,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *AppointmentToResponsibleEditorRequest) Reset()         { *m = AppointmentToResponsibleEditorRequest{} }
func (m *AppointmentToResponsibleEditorRequest) String() string { return proto.CompactTextString(m) }
func (*AppointmentToResponsibleEditorRequest) ProtoMessage()    {}
func (*AppointmentToResponsibleEditorRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{25}
}

func (m *AppointmentToResponsibleEditorRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AppointmentToResponsibleEditorRequest.Unmarshal(m, b)
}
func (m *AppointmentToResponsibleEditorRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AppointmentToResponsibleEditorRequest.Marshal(b, m, deterministic)
}
func (m *AppointmentToResponsibleEditorRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AppointmentToResponsibleEditorRequest.Merge(m, src)
}
func (m *AppointmentToResponsibleEditorRequest) XXX_Size() int {
	return xxx_messageInfo_AppointmentToResponsibleEditorRequest.Size(m)
}
func (m *AppointmentToResponsibleEditorRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_AppointmentToResponsibleEditorRequest.DiscardUnknown(m)
}

var xxx_messageInfo_AppointmentToResponsibleEditorRequest proto.InternalMessageInfo

func (m *AppointmentToResponsibleEditorRequest) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *AppointmentToResponsibleEditorRequest) GetArticleId() string {
	if m != nil {
		return m.ArticleId
	}
	return ""
}

func (m *AppointmentToResponsibleEditorRequest) GetResponsibleEditor() *User {
	if m != nil {
		return m.ResponsibleEditor
	}
	return nil
}

type AppointmentToResponsibleEditorResponse struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *AppointmentToResponsibleEditorResponse) Reset() {
	*m = AppointmentToResponsibleEditorResponse{}
}
func (m *AppointmentToResponsibleEditorResponse) String() string { return proto.CompactTextString(m) }
func (*AppointmentToResponsibleEditorResponse) ProtoMessage()    {}
func (*AppointmentToResponsibleEditorResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{26}
}

func (m *AppointmentToResponsibleEditorResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AppointmentToResponsibleEditorResponse.Unmarshal(m, b)
}
func (m *AppointmentToResponsibleEditorResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AppointmentToResponsibleEditorResponse.Marshal(b, m, deterministic)
}
func (m *AppointmentToResponsibleEditorResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AppointmentToResponsibleEditorResponse.Merge(m, src)
}
func (m *AppointmentToResponsibleEditorResponse) XXX_Size() int {
	return xxx_messageInfo_AppointmentToResponsibleEditorResponse.Size(m)
}
func (m *AppointmentToResponsibleEditorResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_AppointmentToResponsibleEditorResponse.DiscardUnknown(m)
}

var xxx_messageInfo_AppointmentToResponsibleEditorResponse proto.InternalMessageInfo

func (m *AppointmentToResponsibleEditorResponse) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type AppointmentToSectionEditorRequest struct {
	User                 *User    `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
	ArticleId            string   `protobuf:"bytes,2,opt,name=article_id,json=articleId,proto3" json:"article_id,omitempty"`
	SectionEditor        *User    `protobuf:"bytes,3,opt,name=section_editor,json=sectionEditor,proto3" json:"section_editor,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *AppointmentToSectionEditorRequest) Reset()         { *m = AppointmentToSectionEditorRequest{} }
func (m *AppointmentToSectionEditorRequest) String() string { return proto.CompactTextString(m) }
func (*AppointmentToSectionEditorRequest) ProtoMessage()    {}
func (*AppointmentToSectionEditorRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{27}
}

func (m *AppointmentToSectionEditorRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AppointmentToSectionEditorRequest.Unmarshal(m, b)
}
func (m *AppointmentToSectionEditorRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AppointmentToSectionEditorRequest.Marshal(b, m, deterministic)
}
func (m *AppointmentToSectionEditorRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AppointmentToSectionEditorRequest.Merge(m, src)
}
func (m *AppointmentToSectionEditorRequest) XXX_Size() int {
	return xxx_messageInfo_AppointmentToSectionEditorRequest.Size(m)
}
func (m *AppointmentToSectionEditorRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_AppointmentToSectionEditorRequest.DiscardUnknown(m)
}

var xxx_messageInfo_AppointmentToSectionEditorRequest proto.InternalMessageInfo

func (m *AppointmentToSectionEditorRequest) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *AppointmentToSectionEditorRequest) GetArticleId() string {
	if m != nil {
		return m.ArticleId
	}
	return ""
}

func (m *AppointmentToSectionEditorRequest) GetSectionEditor() *User {
	if m != nil {
		return m.SectionEditor
	}
	return nil
}

type AppointmentToSectionEditorResponse struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *AppointmentToSectionEditorResponse) Reset()         { *m = AppointmentToSectionEditorResponse{} }
func (m *AppointmentToSectionEditorResponse) String() string { return proto.CompactTextString(m) }
func (*AppointmentToSectionEditorResponse) ProtoMessage()    {}
func (*AppointmentToSectionEditorResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{28}
}

func (m *AppointmentToSectionEditorResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AppointmentToSectionEditorResponse.Unmarshal(m, b)
}
func (m *AppointmentToSectionEditorResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AppointmentToSectionEditorResponse.Marshal(b, m, deterministic)
}
func (m *AppointmentToSectionEditorResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AppointmentToSectionEditorResponse.Merge(m, src)
}
func (m *AppointmentToSectionEditorResponse) XXX_Size() int {
	return xxx_messageInfo_AppointmentToSectionEditorResponse.Size(m)
}
func (m *AppointmentToSectionEditorResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_AppointmentToSectionEditorResponse.DiscardUnknown(m)
}

var xxx_messageInfo_AppointmentToSectionEditorResponse proto.InternalMessageInfo

func (m *AppointmentToSectionEditorResponse) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type AppointmentToSectionAuthorRequest struct {
	User                 *User    `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
	ArticleId            string   `protobuf:"bytes,2,opt,name=article_id,json=articleId,proto3" json:"article_id,omitempty"`
	SectionAuthor        *User    `protobuf:"bytes,3,opt,name=section_author,json=sectionAuthor,proto3" json:"section_author,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *AppointmentToSectionAuthorRequest) Reset()         { *m = AppointmentToSectionAuthorRequest{} }
func (m *AppointmentToSectionAuthorRequest) String() string { return proto.CompactTextString(m) }
func (*AppointmentToSectionAuthorRequest) ProtoMessage()    {}
func (*AppointmentToSectionAuthorRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{29}
}

func (m *AppointmentToSectionAuthorRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AppointmentToSectionAuthorRequest.Unmarshal(m, b)
}
func (m *AppointmentToSectionAuthorRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AppointmentToSectionAuthorRequest.Marshal(b, m, deterministic)
}
func (m *AppointmentToSectionAuthorRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AppointmentToSectionAuthorRequest.Merge(m, src)
}
func (m *AppointmentToSectionAuthorRequest) XXX_Size() int {
	return xxx_messageInfo_AppointmentToSectionAuthorRequest.Size(m)
}
func (m *AppointmentToSectionAuthorRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_AppointmentToSectionAuthorRequest.DiscardUnknown(m)
}

var xxx_messageInfo_AppointmentToSectionAuthorRequest proto.InternalMessageInfo

func (m *AppointmentToSectionAuthorRequest) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *AppointmentToSectionAuthorRequest) GetArticleId() string {
	if m != nil {
		return m.ArticleId
	}
	return ""
}

func (m *AppointmentToSectionAuthorRequest) GetSectionAuthor() *User {
	if m != nil {
		return m.SectionAuthor
	}
	return nil
}

type AppointmentToSectionAuthorResponse struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *AppointmentToSectionAuthorResponse) Reset()         { *m = AppointmentToSectionAuthorResponse{} }
func (m *AppointmentToSectionAuthorResponse) String() string { return proto.CompactTextString(m) }
func (*AppointmentToSectionAuthorResponse) ProtoMessage()    {}
func (*AppointmentToSectionAuthorResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_00212fb1f9d3bf1c, []int{30}
}

func (m *AppointmentToSectionAuthorResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AppointmentToSectionAuthorResponse.Unmarshal(m, b)
}
func (m *AppointmentToSectionAuthorResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AppointmentToSectionAuthorResponse.Marshal(b, m, deterministic)
}
func (m *AppointmentToSectionAuthorResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AppointmentToSectionAuthorResponse.Merge(m, src)
}
func (m *AppointmentToSectionAuthorResponse) XXX_Size() int {
	return xxx_messageInfo_AppointmentToSectionAuthorResponse.Size(m)
}
func (m *AppointmentToSectionAuthorResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_AppointmentToSectionAuthorResponse.DiscardUnknown(m)
}

var xxx_messageInfo_AppointmentToSectionAuthorResponse proto.InternalMessageInfo

func (m *AppointmentToSectionAuthorResponse) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

func init() {
	proto.RegisterType((*User)(nil), "editor.User")
	proto.RegisterType((*Comment)(nil), "editor.Comment")
	proto.RegisterType((*Article)(nil), "editor.Article")
	proto.RegisterType((*Section)(nil), "editor.Section")
	proto.RegisterType((*VersionArticle)(nil), "editor.VersionArticle")
	proto.RegisterType((*GetArticleRequest)(nil), "editor.GetArticleRequest")
	proto.RegisterType((*GetArticleResponse)(nil), "editor.GetArticleResponse")
	proto.RegisterType((*GetListArticleRequest)(nil), "editor.GetListArticleRequest")
	proto.RegisterType((*GetListArticleResponse)(nil), "editor.GetListArticleResponse")
	proto.RegisterType((*CreateArticleRequest)(nil), "editor.CreateArticleRequest")
	proto.RegisterType((*CreateArticleResponse)(nil), "editor.CreateArticleResponse")
	proto.RegisterType((*InsertToArticleRequest)(nil), "editor.InsertToArticleRequest")
	proto.RegisterType((*InsertToArticleResponse)(nil), "editor.InsertToArticleResponse")
	proto.RegisterType((*EditArticleRequest)(nil), "editor.EditArticleRequest")
	proto.RegisterType((*EditArticleResponse)(nil), "editor.EditArticleResponse")
	proto.RegisterType((*CommentArticleRequest)(nil), "editor.CommentArticleRequest")
	proto.RegisterType((*CommentArticleResponse)(nil), "editor.CommentArticleResponse")
	proto.RegisterType((*DeleteCommentArticleRequest)(nil), "editor.DeleteCommentArticleRequest")
	proto.RegisterType((*DeleteCommentArticleResponse)(nil), "editor.DeleteCommentArticleResponse")
	proto.RegisterType((*ArchiveCommentArticleRequest)(nil), "editor.ArchiveCommentArticleRequest")
	proto.RegisterType((*ArchiveCommentArticleResponse)(nil), "editor.ArchiveCommentArticleResponse")
	proto.RegisterType((*EditCommentArticleRequest)(nil), "editor.EditCommentArticleRequest")
	proto.RegisterType((*EditCommentArticleResponse)(nil), "editor.EditCommentArticleResponse")
	proto.RegisterType((*DeleteArticleRequest)(nil), "editor.DeleteArticleRequest")
	proto.RegisterType((*DeleteArticleResponse)(nil), "editor.DeleteArticleResponse")
	proto.RegisterType((*AppointmentToResponsibleEditorRequest)(nil), "editor.AppointmentToResponsibleEditorRequest")
	proto.RegisterType((*AppointmentToResponsibleEditorResponse)(nil), "editor.AppointmentToResponsibleEditorResponse")
	proto.RegisterType((*AppointmentToSectionEditorRequest)(nil), "editor.AppointmentToSectionEditorRequest")
	proto.RegisterType((*AppointmentToSectionEditorResponse)(nil), "editor.AppointmentToSectionEditorResponse")
	proto.RegisterType((*AppointmentToSectionAuthorRequest)(nil), "editor.AppointmentToSectionAuthorRequest")
	proto.RegisterType((*AppointmentToSectionAuthorResponse)(nil), "editor.AppointmentToSectionAuthorResponse")
}

func init() {
	proto.RegisterFile("api.proto", fileDescriptor_00212fb1f9d3bf1c)
}

var fileDescriptor_00212fb1f9d3bf1c = []byte{
	// 1136 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xc4, 0x58, 0x5f, 0x6f, 0xe3, 0x44,
	0x10, 0x97, 0x9b, 0x5c, 0xfe, 0x4c, 0xae, 0x49, 0xbb, 0x5c, 0x73, 0x3e, 0xb7, 0xbd, 0xeb, 0x99,
	0xde, 0xd1, 0x03, 0xd1, 0x83, 0x9c, 0x84, 0xf8, 0x27, 0x50, 0x08, 0x70, 0xaa, 0x74, 0xe2, 0x24,
	0xb7, 0x80, 0x80, 0x87, 0xc8, 0x67, 0x2f, 0xaa, 0xa5, 0xc4, 0x0e, 0xbb, 0x9b, 0xf6, 0x09, 0x78,
	0xe0, 0xe1, 0xbe, 0x00, 0x2f, 0x3c, 0xf2, 0xc0, 0xe7, 0xe0, 0x23, 0xf0, 0x95, 0x90, 0xbd, 0xb3,
	0x8e, 0xed, 0x6c, 0xec, 0x16, 0xb5, 0xdc, 0x9b, 0x77, 0x66, 0xf6, 0x37, 0xbf, 0xd9, 0x99, 0x9d,
	0x9d, 0x04, 0xda, 0xee, 0x2c, 0x38, 0x9c, 0xb1, 0x48, 0x44, 0xa4, 0x41, 0xfd, 0x40, 0x44, 0xcc,
	0x7e, 0x69, 0x40, 0xfd, 0x6b, 0x4e, 0x19, 0xe9, 0xc2, 0x5a, 0xe0, 0x9b, 0xc6, 0x9e, 0x71, 0xd0,
	0x76, 0xd6, 0x02, 0x9f, 0xec, 0x02, 0xfc, 0x18, 0x30, 0x2e, 0xc6, 0xa1, 0x3b, 0xa5, 0xe6, 0x5a,
	0x22, 0x6f, 0x27, 0x92, 0xaf, 0xdc, 0x29, 0x25, 0xf7, 0xa0, 0x33, 0x0d, 0x7c, 0x7f, 0x42, 0xa5,
	0xbe, 0x96, 0xe8, 0x41, 0x8a, 0x12, 0x83, 0x6d, 0x68, 0x4f, 0x5c, 0xb5, 0xbd, 0x9e, 0xa8, 0x5b,
	0xb1, 0x20, 0x51, 0x12, 0xa8, 0xb3, 0x68, 0x42, 0xcd, 0x1b, 0x89, 0x3c, 0xf9, 0xb6, 0xbf, 0x83,
	0xe6, 0x28, 0x9a, 0x4e, 0x69, 0x28, 0x96, 0xb8, 0xec, 0x43, 0xc3, 0x9d, 0x8b, 0xd3, 0x88, 0x25,
	0x3c, 0x3a, 0x83, 0x9b, 0x87, 0x92, 0xfd, 0x61, 0xcc, 0xdc, 0x41, 0x1d, 0x31, 0xa1, 0xe9, 0x45,
	0xa1, 0xa0, 0xa1, 0x40, 0x3a, 0x6a, 0x69, 0xff, 0x73, 0x03, 0x9a, 0x43, 0x26, 0x02, 0x6f, 0x42,
	0x97, 0xb0, 0xfb, 0xd0, 0xe0, 0xc2, 0x15, 0x73, 0x8e, 0x31, 0xe2, 0x2a, 0xe3, 0xb3, 0x56, 0xe2,
	0x93, 0x40, 0x3d, 0x13, 0x60, 0xf2, 0x1d, 0x9f, 0x9c, 0xc7, 0xa8, 0x2b, 0xa8, 0x3f, 0x76, 0x05,
	0x86, 0xd8, 0x46, 0xc9, 0x50, 0xc4, 0xea, 0xf9, 0xcc, 0x57, 0xea, 0x86, 0x54, 0xa3, 0x64, 0x28,
	0xb2, 0x51, 0x34, 0x73, 0x51, 0x90, 0xb7, 0xa0, 0xe5, 0xc9, 0x03, 0xe2, 0x66, 0x6b, 0xaf, 0x76,
	0xd0, 0x19, 0xf4, 0x14, 0x27, 0x3c, 0x38, 0x27, 0x35, 0x20, 0x03, 0x68, 0x9d, 0x51, 0xc6, 0x83,
	0x28, 0xe4, 0x66, 0x3b, 0x31, 0xee, 0x2b, 0xe3, 0x6f, 0xa4, 0x1c, 0x0f, 0xc4, 0x49, 0xed, 0xe2,
	0x9c, 0x0a, 0x3a, 0x9d, 0x4d, 0x5c, 0x41, 0xc7, 0x81, 0x6f, 0x82, 0xcc, 0xa9, 0x12, 0x1d, 0xf9,
	0xe4, 0x63, 0xd8, 0x74, 0x85, 0x70, 0xbd, 0xd3, 0x98, 0xbb, 0xdc, 0xce, 0xcd, 0x4e, 0x9e, 0x8a,
	0x82, 0xdd, 0x50, 0x96, 0x28, 0xe0, 0xe4, 0x0d, 0xe8, 0x79, 0x73, 0xc6, 0x68, 0x28, 0xc6, 0xe8,
	0xd2, 0xbc, 0xb9, 0x67, 0x1c, 0xd4, 0x9c, 0x2e, 0x8a, 0x91, 0x18, 0xf9, 0x08, 0x08, 0xa3, 0x7c,
	0x16, 0x85, 0x3c, 0x78, 0x31, 0xa1, 0x63, 0x09, 0x6c, 0xae, 0x6b, 0xd2, 0xb0, 0x99, 0xb1, 0xfb,
	0x22, 0x91, 0x93, 0x47, 0xd0, 0xe4, 0xd4, 0x13, 0x31, 0x7a, 0x37, 0xd9, 0x91, 0x32, 0x3b, 0x96,
	0x62, 0x47, 0xe9, 0xc9, 0x01, 0xb4, 0x18, 0x3d, 0x0b, 0xe8, 0x39, 0x65, 0x66, 0x4f, 0x83, 0x9e,
	0x6a, 0xe3, 0x22, 0x91, 0xdf, 0xe6, 0x86, 0x2c, 0x12, 0xb9, 0x8a, 0x99, 0x7a, 0x73, 0xe6, 0x8a,
	0x88, 0x8d, 0xbd, 0x28, 0xe4, 0xf3, 0x89, 0x70, 0x43, 0x61, 0x6e, 0xea, 0x98, 0xa2, 0xdd, 0x28,
	0x35, 0x23, 0x1f, 0xc2, 0x86, 0xcb, 0xbc, 0xd3, 0xe0, 0x8c, 0x8e, 0xd3, 0xbc, 0x12, 0x7d, 0x5e,
	0x7b, 0x68, 0x88, 0x6b, 0x6e, 0xff, 0x69, 0x40, 0x13, 0xe3, 0x21, 0x4f, 0xa0, 0x8b, 0x11, 0xa9,
	0xa3, 0x32, 0x34, 0x04, 0xd6, 0xd1, 0x06, 0x8f, 0x29, 0xb3, 0xa9, 0xe4, 0x6a, 0xa9, 0x4d, 0xc3,
	0x7c, 0xb5, 0xd7, 0x32, 0xd5, 0x9e, 0xa9, 0xd7, 0x7a, 0xfe, 0xd6, 0x7d, 0x0f, 0xdd, 0x7c, 0xa9,
	0xc5, 0xb9, 0xc1, 0xb2, 0x41, 0x8a, 0x4b, 0x55, 0xa3, 0xf4, 0x85, 0x4b, 0xb4, 0x56, 0xb8, 0x44,
	0xf6, 0x09, 0x6c, 0x3e, 0xa5, 0x42, 0xed, 0xa2, 0x3f, 0xcd, 0x29, 0x17, 0x64, 0x0f, 0xea, 0x73,
	0x4e, 0xf5, 0xe1, 0x27, 0x9a, 0x18, 0x15, 0x1d, 0xc4, 0x05, 0x8e, 0xa8, 0x28, 0x39, 0xf2, 0xed,
	0x4f, 0x81, 0x64, 0x51, 0x93, 0xd2, 0xba, 0x0c, 0x6b, 0xfb, 0x36, 0x6c, 0x3d, 0xa5, 0xe2, 0x59,
	0xc0, 0x0b, 0xd4, 0xec, 0x11, 0xf4, 0x8b, 0x0a, 0x1d, 0x7a, 0xad, 0x14, 0xdd, 0x83, 0x5b, 0xa3,
	0xe4, 0x04, 0x2e, 0x1d, 0x77, 0xc6, 0xc9, 0x5a, 0x45, 0x08, 0xef, 0xc2, 0x56, 0xc1, 0x09, 0x12,
	0x35, 0xa1, 0xc9, 0xe7, 0x9e, 0x47, 0x39, 0x4f, 0x1c, 0xb5, 0x1c, 0xb5, 0xb4, 0x7f, 0x37, 0xa0,
	0x7f, 0x14, 0x72, 0xca, 0xc4, 0x49, 0x74, 0x69, 0x6a, 0xef, 0x40, 0x27, 0xa4, 0xe7, 0xe3, 0x0a,
	0x7a, 0x10, 0xd2, 0x73, 0x55, 0x45, 0x0f, 0xa1, 0x37, 0x75, 0x83, 0x70, 0x9c, 0xc9, 0xa4, 0x2c,
	0xc8, 0xf5, 0x58, 0x3c, 0x4c, 0xb3, 0xe9, 0xc0, 0xed, 0x25, 0x56, 0x55, 0xb1, 0x54, 0x55, 0x88,
	0x0b, 0x24, 0xbe, 0x40, 0xd7, 0x99, 0x80, 0xc7, 0xf0, 0x5a, 0xce, 0x45, 0xe5, 0xf1, 0xff, 0x66,
	0xc0, 0x16, 0x36, 0x86, 0x2b, 0xbe, 0x10, 0x31, 0x6d, 0x6c, 0x4d, 0xf8, 0x0a, 0x2e, 0x75, 0x26,
	0xa5, 0xb7, 0x07, 0xd0, 0x2f, 0x92, 0xa8, 0x64, 0xfe, 0x33, 0x6c, 0x7f, 0x4e, 0x27, 0x54, 0xd0,
	0x6b, 0xa2, 0x1f, 0x37, 0x11, 0x89, 0xbc, 0x28, 0x92, 0x36, 0x4a, 0x8e, 0x7c, 0xfb, 0x7d, 0xd8,
	0xd1, 0xbb, 0xaf, 0x24, 0xfe, 0x0b, 0xec, 0x0c, 0x73, 0x1d, 0xf9, 0x7f, 0x66, 0xfe, 0x01, 0xec,
	0xae, 0xf0, 0x5f, 0x49, 0xfd, 0xa5, 0x01, 0x77, 0xe2, 0xfa, 0x7a, 0xf5, 0x15, 0xf3, 0x1e, 0x58,
	0x3a, 0x22, 0x95, 0x11, 0x7c, 0x0b, 0xb7, 0x64, 0xda, 0xae, 0xba, 0xfd, 0x3f, 0x86, 0xad, 0x02,
	0x30, 0x72, 0xe9, 0x43, 0xc3, 0xcd, 0x52, 0xc1, 0x95, 0xfd, 0x97, 0x01, 0x0f, 0x86, 0xb3, 0x59,
	0x14, 0x84, 0x22, 0x0e, 0xe1, 0x24, 0x72, 0x8a, 0xe3, 0xc8, 0x95, 0x9d, 0xab, 0x7e, 0x26, 0xaa,
	0x5d, 0x68, 0x26, 0xb2, 0x3f, 0x83, 0x87, 0x55, 0x34, 0x2b, 0x4f, 0xfd, 0x0f, 0x03, 0xee, 0xe7,
	0x40, 0x8e, 0xb3, 0xf3, 0xc4, 0x95, 0xc5, 0xb9, 0x3c, 0xcc, 0xd4, 0x2a, 0x87, 0x19, 0xfb, 0x13,
	0xb0, 0xcb, 0xa8, 0xfd, 0xe7, 0xd8, 0xe4, 0xd8, 0x73, 0x1d, 0xb1, 0x95, 0xfc, 0xb4, 0xc8, 0xcf,
	0x5c, 0xab, 0x62, 0x53, 0xd4, 0xaa, 0x62, 0x1b, 0xfc, 0xdd, 0x86, 0x75, 0x79, 0x10, 0xc7, 0x94,
	0x9d, 0x05, 0x1e, 0x25, 0xcf, 0xa1, 0x9b, 0x9f, 0x45, 0xc8, 0xae, 0x22, 0xa0, 0x1d, 0x5e, 0xac,
	0xbb, 0xab, 0xd4, 0xe8, 0xdc, 0x81, 0x5e, 0xe1, 0xa1, 0x25, 0xe9, 0x16, 0xfd, 0x5c, 0x60, 0xdd,
	0x5b, 0xa9, 0x47, 0xcc, 0x11, 0xc0, 0x62, 0x14, 0x23, 0x77, 0x32, 0x0c, 0x0a, 0x48, 0x96, 0x4e,
	0x85, 0x20, 0xcf, 0x60, 0x3d, 0x37, 0xcb, 0x90, 0x9d, 0xb4, 0x19, 0x69, 0xe6, 0x28, 0x6b, 0x77,
	0x85, 0x16, 0xd1, 0xbe, 0x84, 0x4e, 0xe6, 0x61, 0x26, 0xa9, 0xe3, 0xe5, 0x81, 0xc0, 0xda, 0xd6,
	0xea, 0x16, 0xac, 0x72, 0x6d, 0x66, 0xc1, 0x4a, 0xd7, 0xd6, 0x16, 0xac, 0xf4, 0xbd, 0xe9, 0x39,
	0x74, 0xf3, 0x1d, 0x74, 0x91, 0x4d, 0x6d, 0x8b, 0x5f, 0x64, 0x73, 0x45, 0xe3, 0xfd, 0x41, 0x8e,
	0x38, 0x05, 0xd0, 0xfb, 0xd9, 0x88, 0xf4, 0xc0, 0x76, 0x99, 0x09, 0x82, 0xbb, 0xaa, 0x77, 0x17,
	0xe0, 0x5f, 0xcf, 0x07, 0xa9, 0x77, 0xb0, 0x5f, 0x6e, 0x84, 0x2e, 0x7c, 0xd8, 0xd2, 0xbe, 0x8d,
	0x64, 0x7f, 0x31, 0x72, 0xad, 0x7e, 0xba, 0xad, 0x07, 0x15, 0x56, 0xe8, 0xe5, 0x57, 0xb8, 0x5b,
	0xde, 0x52, 0xc9, 0xdb, 0x29, 0xd0, 0x45, 0x5e, 0x08, 0xeb, 0xf0, 0xa2, 0xe6, 0x48, 0x80, 0x83,
	0xb5, 0xba, 0xe7, 0x91, 0x47, 0x5a, 0x34, 0x5d, 0xcb, 0xb6, 0xde, 0xbc, 0x88, 0x69, 0xb9, 0x53,
	0xfc, 0x79, 0x58, 0xea, 0x34, 0xd7, 0x4b, 0xcb, 0x9d, 0xe6, 0x7b, 0xdb, 0x8b, 0x46, 0xf2, 0x8f,
	0xd5, 0x93, 0x7f, 0x03, 0x00, 0x00, 0xff, 0xff, 0x76, 0x3d, 0x14, 0x34, 0xbe, 0x12, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// EditorServiceClient is the client API for EditorService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type EditorServiceClient interface {
	GetListArticle(ctx context.Context, in *GetListArticleRequest, opts ...grpc.CallOption) (*GetListArticleResponse, error)
	InsertToArticle(ctx context.Context, in *InsertToArticleRequest, opts ...grpc.CallOption) (*InsertToArticleResponse, error)
	GetArticle(ctx context.Context, in *GetArticleRequest, opts ...grpc.CallOption) (*GetArticleResponse, error)
	CreateArticle(ctx context.Context, in *CreateArticleRequest, opts ...grpc.CallOption) (*CreateArticleResponse, error)
	EditArticle(ctx context.Context, in *EditArticleRequest, opts ...grpc.CallOption) (*EditArticleResponse, error)
	DeleteArticle(ctx context.Context, in *DeleteArticleRequest, opts ...grpc.CallOption) (*DeleteArticleResponse, error)
	CommentArticle(ctx context.Context, in *CommentArticleRequest, opts ...grpc.CallOption) (*CommentArticleResponse, error)
	EditCommentArticle(ctx context.Context, in *EditCommentArticleRequest, opts ...grpc.CallOption) (*EditCommentArticleResponse, error)
	DeleteCommentArticle(ctx context.Context, in *DeleteCommentArticleRequest, opts ...grpc.CallOption) (*DeleteCommentArticleResponse, error)
	ArchiveCommentArticle(ctx context.Context, in *ArchiveCommentArticleRequest, opts ...grpc.CallOption) (*ArchiveCommentArticleResponse, error)
	AppointmentToResponsibleEditor(ctx context.Context, in *AppointmentToResponsibleEditorRequest, opts ...grpc.CallOption) (*AppointmentToResponsibleEditorResponse, error)
	AppointmentToSectionEditor(ctx context.Context, in *AppointmentToSectionEditorRequest, opts ...grpc.CallOption) (*AppointmentToSectionEditorResponse, error)
	AppointmentToSectionAuthor(ctx context.Context, in *AppointmentToSectionAuthorRequest, opts ...grpc.CallOption) (*AppointmentToSectionAuthorResponse, error)
}

type editorServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewEditorServiceClient(cc grpc.ClientConnInterface) EditorServiceClient {
	return &editorServiceClient{cc}
}

func (c *editorServiceClient) GetListArticle(ctx context.Context, in *GetListArticleRequest, opts ...grpc.CallOption) (*GetListArticleResponse, error) {
	out := new(GetListArticleResponse)
	err := c.cc.Invoke(ctx, "/editor.EditorService/GetListArticle", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *editorServiceClient) InsertToArticle(ctx context.Context, in *InsertToArticleRequest, opts ...grpc.CallOption) (*InsertToArticleResponse, error) {
	out := new(InsertToArticleResponse)
	err := c.cc.Invoke(ctx, "/editor.EditorService/InsertToArticle", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *editorServiceClient) GetArticle(ctx context.Context, in *GetArticleRequest, opts ...grpc.CallOption) (*GetArticleResponse, error) {
	out := new(GetArticleResponse)
	err := c.cc.Invoke(ctx, "/editor.EditorService/GetArticle", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *editorServiceClient) CreateArticle(ctx context.Context, in *CreateArticleRequest, opts ...grpc.CallOption) (*CreateArticleResponse, error) {
	out := new(CreateArticleResponse)
	err := c.cc.Invoke(ctx, "/editor.EditorService/CreateArticle", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *editorServiceClient) EditArticle(ctx context.Context, in *EditArticleRequest, opts ...grpc.CallOption) (*EditArticleResponse, error) {
	out := new(EditArticleResponse)
	err := c.cc.Invoke(ctx, "/editor.EditorService/EditArticle", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *editorServiceClient) DeleteArticle(ctx context.Context, in *DeleteArticleRequest, opts ...grpc.CallOption) (*DeleteArticleResponse, error) {
	out := new(DeleteArticleResponse)
	err := c.cc.Invoke(ctx, "/editor.EditorService/DeleteArticle", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *editorServiceClient) CommentArticle(ctx context.Context, in *CommentArticleRequest, opts ...grpc.CallOption) (*CommentArticleResponse, error) {
	out := new(CommentArticleResponse)
	err := c.cc.Invoke(ctx, "/editor.EditorService/CommentArticle", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *editorServiceClient) EditCommentArticle(ctx context.Context, in *EditCommentArticleRequest, opts ...grpc.CallOption) (*EditCommentArticleResponse, error) {
	out := new(EditCommentArticleResponse)
	err := c.cc.Invoke(ctx, "/editor.EditorService/EditCommentArticle", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *editorServiceClient) DeleteCommentArticle(ctx context.Context, in *DeleteCommentArticleRequest, opts ...grpc.CallOption) (*DeleteCommentArticleResponse, error) {
	out := new(DeleteCommentArticleResponse)
	err := c.cc.Invoke(ctx, "/editor.EditorService/DeleteCommentArticle", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *editorServiceClient) ArchiveCommentArticle(ctx context.Context, in *ArchiveCommentArticleRequest, opts ...grpc.CallOption) (*ArchiveCommentArticleResponse, error) {
	out := new(ArchiveCommentArticleResponse)
	err := c.cc.Invoke(ctx, "/editor.EditorService/ArchiveCommentArticle", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *editorServiceClient) AppointmentToResponsibleEditor(ctx context.Context, in *AppointmentToResponsibleEditorRequest, opts ...grpc.CallOption) (*AppointmentToResponsibleEditorResponse, error) {
	out := new(AppointmentToResponsibleEditorResponse)
	err := c.cc.Invoke(ctx, "/editor.EditorService/AppointmentToResponsibleEditor", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *editorServiceClient) AppointmentToSectionEditor(ctx context.Context, in *AppointmentToSectionEditorRequest, opts ...grpc.CallOption) (*AppointmentToSectionEditorResponse, error) {
	out := new(AppointmentToSectionEditorResponse)
	err := c.cc.Invoke(ctx, "/editor.EditorService/AppointmentToSectionEditor", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *editorServiceClient) AppointmentToSectionAuthor(ctx context.Context, in *AppointmentToSectionAuthorRequest, opts ...grpc.CallOption) (*AppointmentToSectionAuthorResponse, error) {
	out := new(AppointmentToSectionAuthorResponse)
	err := c.cc.Invoke(ctx, "/editor.EditorService/AppointmentToSectionAuthor", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// EditorServiceServer is the server API for EditorService service.
type EditorServiceServer interface {
	GetListArticle(context.Context, *GetListArticleRequest) (*GetListArticleResponse, error)
	InsertToArticle(context.Context, *InsertToArticleRequest) (*InsertToArticleResponse, error)
	GetArticle(context.Context, *GetArticleRequest) (*GetArticleResponse, error)
	CreateArticle(context.Context, *CreateArticleRequest) (*CreateArticleResponse, error)
	EditArticle(context.Context, *EditArticleRequest) (*EditArticleResponse, error)
	DeleteArticle(context.Context, *DeleteArticleRequest) (*DeleteArticleResponse, error)
	CommentArticle(context.Context, *CommentArticleRequest) (*CommentArticleResponse, error)
	EditCommentArticle(context.Context, *EditCommentArticleRequest) (*EditCommentArticleResponse, error)
	DeleteCommentArticle(context.Context, *DeleteCommentArticleRequest) (*DeleteCommentArticleResponse, error)
	ArchiveCommentArticle(context.Context, *ArchiveCommentArticleRequest) (*ArchiveCommentArticleResponse, error)
	AppointmentToResponsibleEditor(context.Context, *AppointmentToResponsibleEditorRequest) (*AppointmentToResponsibleEditorResponse, error)
	AppointmentToSectionEditor(context.Context, *AppointmentToSectionEditorRequest) (*AppointmentToSectionEditorResponse, error)
	AppointmentToSectionAuthor(context.Context, *AppointmentToSectionAuthorRequest) (*AppointmentToSectionAuthorResponse, error)
}

// UnimplementedEditorServiceServer can be embedded to have forward compatible implementations.
type UnimplementedEditorServiceServer struct {
}

func (*UnimplementedEditorServiceServer) GetListArticle(ctx context.Context, req *GetListArticleRequest) (*GetListArticleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetListArticle not implemented")
}
func (*UnimplementedEditorServiceServer) InsertToArticle(ctx context.Context, req *InsertToArticleRequest) (*InsertToArticleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method InsertToArticle not implemented")
}
func (*UnimplementedEditorServiceServer) GetArticle(ctx context.Context, req *GetArticleRequest) (*GetArticleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetArticle not implemented")
}
func (*UnimplementedEditorServiceServer) CreateArticle(ctx context.Context, req *CreateArticleRequest) (*CreateArticleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateArticle not implemented")
}
func (*UnimplementedEditorServiceServer) EditArticle(ctx context.Context, req *EditArticleRequest) (*EditArticleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method EditArticle not implemented")
}
func (*UnimplementedEditorServiceServer) DeleteArticle(ctx context.Context, req *DeleteArticleRequest) (*DeleteArticleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteArticle not implemented")
}
func (*UnimplementedEditorServiceServer) CommentArticle(ctx context.Context, req *CommentArticleRequest) (*CommentArticleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CommentArticle not implemented")
}
func (*UnimplementedEditorServiceServer) EditCommentArticle(ctx context.Context, req *EditCommentArticleRequest) (*EditCommentArticleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method EditCommentArticle not implemented")
}
func (*UnimplementedEditorServiceServer) DeleteCommentArticle(ctx context.Context, req *DeleteCommentArticleRequest) (*DeleteCommentArticleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteCommentArticle not implemented")
}
func (*UnimplementedEditorServiceServer) ArchiveCommentArticle(ctx context.Context, req *ArchiveCommentArticleRequest) (*ArchiveCommentArticleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ArchiveCommentArticle not implemented")
}
func (*UnimplementedEditorServiceServer) AppointmentToResponsibleEditor(ctx context.Context, req *AppointmentToResponsibleEditorRequest) (*AppointmentToResponsibleEditorResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AppointmentToResponsibleEditor not implemented")
}
func (*UnimplementedEditorServiceServer) AppointmentToSectionEditor(ctx context.Context, req *AppointmentToSectionEditorRequest) (*AppointmentToSectionEditorResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AppointmentToSectionEditor not implemented")
}
func (*UnimplementedEditorServiceServer) AppointmentToSectionAuthor(ctx context.Context, req *AppointmentToSectionAuthorRequest) (*AppointmentToSectionAuthorResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AppointmentToSectionAuthor not implemented")
}

func RegisterEditorServiceServer(s *grpc.Server, srv EditorServiceServer) {
	s.RegisterService(&_EditorService_serviceDesc, srv)
}

func _EditorService_GetListArticle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetListArticleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EditorServiceServer).GetListArticle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/editor.EditorService/GetListArticle",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EditorServiceServer).GetListArticle(ctx, req.(*GetListArticleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _EditorService_InsertToArticle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InsertToArticleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EditorServiceServer).InsertToArticle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/editor.EditorService/InsertToArticle",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EditorServiceServer).InsertToArticle(ctx, req.(*InsertToArticleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _EditorService_GetArticle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetArticleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EditorServiceServer).GetArticle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/editor.EditorService/GetArticle",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EditorServiceServer).GetArticle(ctx, req.(*GetArticleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _EditorService_CreateArticle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateArticleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EditorServiceServer).CreateArticle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/editor.EditorService/CreateArticle",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EditorServiceServer).CreateArticle(ctx, req.(*CreateArticleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _EditorService_EditArticle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(EditArticleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EditorServiceServer).EditArticle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/editor.EditorService/EditArticle",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EditorServiceServer).EditArticle(ctx, req.(*EditArticleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _EditorService_DeleteArticle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteArticleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EditorServiceServer).DeleteArticle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/editor.EditorService/DeleteArticle",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EditorServiceServer).DeleteArticle(ctx, req.(*DeleteArticleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _EditorService_CommentArticle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CommentArticleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EditorServiceServer).CommentArticle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/editor.EditorService/CommentArticle",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EditorServiceServer).CommentArticle(ctx, req.(*CommentArticleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _EditorService_EditCommentArticle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(EditCommentArticleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EditorServiceServer).EditCommentArticle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/editor.EditorService/EditCommentArticle",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EditorServiceServer).EditCommentArticle(ctx, req.(*EditCommentArticleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _EditorService_DeleteCommentArticle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteCommentArticleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EditorServiceServer).DeleteCommentArticle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/editor.EditorService/DeleteCommentArticle",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EditorServiceServer).DeleteCommentArticle(ctx, req.(*DeleteCommentArticleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _EditorService_ArchiveCommentArticle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ArchiveCommentArticleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EditorServiceServer).ArchiveCommentArticle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/editor.EditorService/ArchiveCommentArticle",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EditorServiceServer).ArchiveCommentArticle(ctx, req.(*ArchiveCommentArticleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _EditorService_AppointmentToResponsibleEditor_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AppointmentToResponsibleEditorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EditorServiceServer).AppointmentToResponsibleEditor(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/editor.EditorService/AppointmentToResponsibleEditor",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EditorServiceServer).AppointmentToResponsibleEditor(ctx, req.(*AppointmentToResponsibleEditorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _EditorService_AppointmentToSectionEditor_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AppointmentToSectionEditorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EditorServiceServer).AppointmentToSectionEditor(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/editor.EditorService/AppointmentToSectionEditor",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EditorServiceServer).AppointmentToSectionEditor(ctx, req.(*AppointmentToSectionEditorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _EditorService_AppointmentToSectionAuthor_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AppointmentToSectionAuthorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EditorServiceServer).AppointmentToSectionAuthor(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/editor.EditorService/AppointmentToSectionAuthor",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EditorServiceServer).AppointmentToSectionAuthor(ctx, req.(*AppointmentToSectionAuthorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _EditorService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "editor.EditorService",
	HandlerType: (*EditorServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetListArticle",
			Handler:    _EditorService_GetListArticle_Handler,
		},
		{
			MethodName: "InsertToArticle",
			Handler:    _EditorService_InsertToArticle_Handler,
		},
		{
			MethodName: "GetArticle",
			Handler:    _EditorService_GetArticle_Handler,
		},
		{
			MethodName: "CreateArticle",
			Handler:    _EditorService_CreateArticle_Handler,
		},
		{
			MethodName: "EditArticle",
			Handler:    _EditorService_EditArticle_Handler,
		},
		{
			MethodName: "DeleteArticle",
			Handler:    _EditorService_DeleteArticle_Handler,
		},
		{
			MethodName: "CommentArticle",
			Handler:    _EditorService_CommentArticle_Handler,
		},
		{
			MethodName: "EditCommentArticle",
			Handler:    _EditorService_EditCommentArticle_Handler,
		},
		{
			MethodName: "DeleteCommentArticle",
			Handler:    _EditorService_DeleteCommentArticle_Handler,
		},
		{
			MethodName: "ArchiveCommentArticle",
			Handler:    _EditorService_ArchiveCommentArticle_Handler,
		},
		{
			MethodName: "AppointmentToResponsibleEditor",
			Handler:    _EditorService_AppointmentToResponsibleEditor_Handler,
		},
		{
			MethodName: "AppointmentToSectionEditor",
			Handler:    _EditorService_AppointmentToSectionEditor_Handler,
		},
		{
			MethodName: "AppointmentToSectionAuthor",
			Handler:    _EditorService_AppointmentToSectionAuthor_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "api.proto",
}
